[Pkg-ocaml-maint-commits] r873 - packages/numerix/trunk/debian/patches

Mike Furr mfurr@haydn.debian.org
Mon, 13 Dec 2004 18:17:18 -0700


Author: mfurr
Date: 2004-12-13 18:17:07 -0700 (Mon, 13 Dec 2004)
New Revision: 873

Added:
   packages/numerix/trunk/debian/patches/85_camlconf.dpatch
Log:
Added 85_... patch


Added: packages/numerix/trunk/debian/patches/85_camlconf.dpatch
===================================================================
--- packages/numerix/trunk/debian/patches/85_camlconf.dpatch	2004-12-14 00:27:34 UTC (rev 872)
+++ packages/numerix/trunk/debian/patches/85_camlconf.dpatch	2004-12-14 01:17:07 UTC (rev 873)
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+## 85_camlconf.dpatch by Mike Furr <mfurr@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: The build system checks for the ocaml version as a integer by 
+## DP: removing the first period.  Thus 3.08.0 is not accepted so
+## DP: this just removes everything after the second '.', thereby
+## DP: leaving the major version number.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/furrm/debian/pkg-ocaml-maint/packages/numerix/trunk/numerix-0.19/config/camlconf numerix-0.19/config/camlconf
+--- /home/furrm/debian/pkg-ocaml-maint/packages/numerix/trunk/numerix-0.19/config/camlconf	2001-02-11 18:42:32.000000000 -0500
++++ numerix-0.19/config/camlconf	2004-07-27 11:20:03.000000000 -0400
+@@ -3,6 +3,6 @@
+ 
+ txt=`$1 -v 2>&1`
+ case $2 in
+-version) echo $txt | sed -e 's/.*version[ ]*\([0-9.]*\).*/\1/' -e 's/\.//';;
++version) echo $txt | sed -e 's/.*version[ ]*\([0-9.]*\).*/\1/' -e 's/\.//' -e 's/\..*//';;
+ libdir)  echo $txt | sed -e 's?.*andard library[^/]*\([^ )]*\).*?\1?';;
+ esac


Property changes on: packages/numerix/trunk/debian/patches/85_camlconf.dpatch
___________________________________________________________________
Name: svn:executable
   + *